Bug 447275 - cannot implement cpuscaling test with HTS
cannot implement cpuscaling test with HTS
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 05:47 EDT by Yolkfull Chow
Modified: 2008-07-16 17:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 10:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
plan.xml (1.80 KB, text/xml)
2008-05-19 21:44 EDT, Yolkfull Chow
no flags Details
the output of lshal (97.17 KB, application/octet-stream)
2008-05-19 21:50 EDT, Yolkfull Chow
no flags Details

  None (edit)
Description Yolkfull Chow 2008-05-19 05:47:06 EDT
Description of problem:
cpuscaling test cannot be implemented successfully when issue "hts certify -t
cpuscaling" and message "no such test ['cpuscaling']" appear. 

Version-Release number of selected component (if applicable):
HTS version 5.2, release 13

How reproducible:
Everytime

Steps to Reproduce:
issue command: #hts certify -t cpuscaling
  
Actual results:
cpuscaling test cannot be implemented

Expected results:
cpuscaling test should be implemented successfully

Additional info:
Comment 1 Greg Nichols 2008-05-19 10:25:34 EDT
What system was being tested?

Please attach the test plan (/var/hts/plan.xml) and the output of lshal.

Thanks!
Comment 2 Yolkfull Chow 2008-05-19 21:44:49 EDT
Created attachment 306041 [details]
plan.xml
Comment 3 Yolkfull Chow 2008-05-19 21:50:03 EDT
Created attachment 306042 [details]
the output of lshal
Comment 4 Greg Nichols 2008-06-04 10:56:56 EDT
lshal output indicates that cpuscaling is not supported:

udi = '/org/freedesktop/Hal/devices/acpi_CPU0'
  info.udi = '/org/freedesktop/Hal/devices/acpi_CPU0'  (string)
  linux.hotplug_type = 4  (0x4)  (int)
  processor.can_throttle = false  (bool)

So the cpuscaling test is not planned.

Note You need to log in before you can comment on or make changes to this bug.